Cyan Web API - Version 1


GET api/nodeRoutes

            Gets all NodeRoutes for a tenant.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "nodeRouteId": "43352336-4291-4539-801a-b89e7eca8d7e",
    "tenantId": "8759187a-a25e-4c0f-b43e-bb9df82aef2f",
    "userId": "e0984617-2585-4f23-9baf-6d5bfb27a93b",
    "userGroupId": "b6d1db72-1117-4955-ba92-1b0a1ce78345",
    "deviceId": "56736140-9949-4850-ab86-c0a5a1d5f431",
    "deviceGroupId": "aaf1dd05-fd45-41b8-90f7-e3d7dfa4cbb8",
    "applicationId": "33990ef3-b1bb-437c-a54a-1fe9f361ed0c",
    "applicationVersionId": "965a1f03-8e70-4c9c-8df7-03bce4a24ba5",
    "nodeId": "21a6842f-c7bf-4eea-882c-3fce1761957b",
    "name": "sample string 4",
    "description": "sample string 5",
    "nodeCyanId": 6,
    "cyanId": 7,
    "customKey": "sample string 8",
    "customValue": "sample string 9",
    "applyParentRoutes": true,
    "applyToDescendants": true,
    "applyToTree": true,
    "applyToParents": true,
    "applyToSiblings": true,
    "applyToSiblingsType": "sample string 15",
    "ignoreNodeIdsInRouting": [
      "sample string 1",
      "sample string 2",
      "sample string 3"
    ],
    "createdDateUtc": "2026-11-13T23:59:40.7469386+00:00",
    "updatedDateUtc": "2026-11-13T23:59:40.7469386+00:00"
  },
  {
    "nodeRouteId": "43352336-4291-4539-801a-b89e7eca8d7e",
    "tenantId": "8759187a-a25e-4c0f-b43e-bb9df82aef2f",
    "userId": "e0984617-2585-4f23-9baf-6d5bfb27a93b",
    "userGroupId": "b6d1db72-1117-4955-ba92-1b0a1ce78345",
    "deviceId": "56736140-9949-4850-ab86-c0a5a1d5f431",
    "deviceGroupId": "aaf1dd05-fd45-41b8-90f7-e3d7dfa4cbb8",
    "applicationId": "33990ef3-b1bb-437c-a54a-1fe9f361ed0c",
    "applicationVersionId": "965a1f03-8e70-4c9c-8df7-03bce4a24ba5",
    "nodeId": "21a6842f-c7bf-4eea-882c-3fce1761957b",
    "name": "sample string 4",
    "description": "sample string 5",
    "nodeCyanId": 6,
    "cyanId": 7,
    "customKey": "sample string 8",
    "customValue": "sample string 9",
    "applyParentRoutes": true,
    "applyToDescendants": true,
    "applyToTree": true,
    "applyToParents": true,
    "applyToSiblings": true,
    "applyToSiblingsType": "sample string 15",
    "ignoreNodeIdsInRouting": [
      "sample string 1",
      "sample string 2",
      "sample string 3"
    ],
    "createdDateUtc": "2026-11-13T23:59:40.7469386+00:00",
    "updatedDateUtc": "2026-11-13T23:59:40.7469386+00:00"
  },
  {
    "nodeRouteId": "43352336-4291-4539-801a-b89e7eca8d7e",
    "tenantId": "8759187a-a25e-4c0f-b43e-bb9df82aef2f",
    "userId": "e0984617-2585-4f23-9baf-6d5bfb27a93b",
    "userGroupId": "b6d1db72-1117-4955-ba92-1b0a1ce78345",
    "deviceId": "56736140-9949-4850-ab86-c0a5a1d5f431",
    "deviceGroupId": "aaf1dd05-fd45-41b8-90f7-e3d7dfa4cbb8",
    "applicationId": "33990ef3-b1bb-437c-a54a-1fe9f361ed0c",
    "applicationVersionId": "965a1f03-8e70-4c9c-8df7-03bce4a24ba5",
    "nodeId": "21a6842f-c7bf-4eea-882c-3fce1761957b",
    "name": "sample string 4",
    "description": "sample string 5",
    "nodeCyanId": 6,
    "cyanId": 7,
    "customKey": "sample string 8",
    "customValue": "sample string 9",
    "applyParentRoutes": true,
    "applyToDescendants": true,
    "applyToTree": true,
    "applyToParents": true,
    "applyToSiblings": true,
    "applyToSiblingsType": "sample string 15",
    "ignoreNodeIdsInRouting": [
      "sample string 1",
      "sample string 2",
      "sample string 3"
    ],
    "createdDateUtc": "2026-11-13T23:59:40.7469386+00:00",
    "updatedDateUtc": "2026-11-13T23:59:40.7469386+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfNodeRouteRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <NodeRouteRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:40.7469386+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:40.7469386+00:00</UpdatedDateUtc>
    <ApplicationId>33990ef3-b1bb-437c-a54a-1fe9f361ed0c</ApplicationId>
    <ApplicationVersionId>965a1f03-8e70-4c9c-8df7-03bce4a24ba5</ApplicationVersionId>
    <ApplyParentRoutes>true</ApplyParentRoutes>
    <ApplyToDescendants>true</ApplyToDescendants>
    <ApplyToParents>true</ApplyToParents>
    <ApplyToSiblings>true</ApplyToSiblings>
    <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
    <ApplyToTree>true</ApplyToTree>
    <CustomKey>sample string 8</CustomKey>
    <CustomValue>sample string 9</CustomValue>
    <CyanId>7</CyanId>
    <Description>sample string 5</Description>
    <DeviceGroupId>aaf1dd05-fd45-41b8-90f7-e3d7dfa4cbb8</DeviceGroupId>
    <DeviceId>56736140-9949-4850-ab86-c0a5a1d5f431</DeviceId>
    <IgnoreNodeIdsInRouting xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
      <d3p1:string>sample string 3</d3p1:string>
    </IgnoreNodeIdsInRouting>
    <Name>sample string 4</Name>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>21a6842f-c7bf-4eea-882c-3fce1761957b</NodeId>
    <NodeRouteId>43352336-4291-4539-801a-b89e7eca8d7e</NodeRouteId>
    <TenantId>8759187a-a25e-4c0f-b43e-bb9df82aef2f</TenantId>
    <UserGroupId>b6d1db72-1117-4955-ba92-1b0a1ce78345</UserGroupId>
    <UserId>e0984617-2585-4f23-9baf-6d5bfb27a93b</UserId>
  </NodeRouteRepresentation>
  <NodeRouteRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:40.7469386+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:40.7469386+00:00</UpdatedDateUtc>
    <ApplicationId>33990ef3-b1bb-437c-a54a-1fe9f361ed0c</ApplicationId>
    <ApplicationVersionId>965a1f03-8e70-4c9c-8df7-03bce4a24ba5</ApplicationVersionId>
    <ApplyParentRoutes>true</ApplyParentRoutes>
    <ApplyToDescendants>true</ApplyToDescendants>
    <ApplyToParents>true</ApplyToParents>
    <ApplyToSiblings>true</ApplyToSiblings>
    <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
    <ApplyToTree>true</ApplyToTree>
    <CustomKey>sample string 8</CustomKey>
    <CustomValue>sample string 9</CustomValue>
    <CyanId>7</CyanId>
    <Description>sample string 5</Description>
    <DeviceGroupId>aaf1dd05-fd45-41b8-90f7-e3d7dfa4cbb8</DeviceGroupId>
    <DeviceId>56736140-9949-4850-ab86-c0a5a1d5f431</DeviceId>
    <IgnoreNodeIdsInRouting xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
      <d3p1:string>sample string 3</d3p1:string>
    </IgnoreNodeIdsInRouting>
    <Name>sample string 4</Name>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>21a6842f-c7bf-4eea-882c-3fce1761957b</NodeId>
    <NodeRouteId>43352336-4291-4539-801a-b89e7eca8d7e</NodeRouteId>
    <TenantId>8759187a-a25e-4c0f-b43e-bb9df82aef2f</TenantId>
    <UserGroupId>b6d1db72-1117-4955-ba92-1b0a1ce78345</UserGroupId>
    <UserId>e0984617-2585-4f23-9baf-6d5bfb27a93b</UserId>
  </NodeRouteRepresentation>
  <NodeRouteRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:40.7469386+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:40.7469386+00:00</UpdatedDateUtc>
    <ApplicationId>33990ef3-b1bb-437c-a54a-1fe9f361ed0c</ApplicationId>
    <ApplicationVersionId>965a1f03-8e70-4c9c-8df7-03bce4a24ba5</ApplicationVersionId>
    <ApplyParentRoutes>true</ApplyParentRoutes>
    <ApplyToDescendants>true</ApplyToDescendants>
    <ApplyToParents>true</ApplyToParents>
    <ApplyToSiblings>true</ApplyToSiblings>
    <ApplyToSiblingsType>sample string 15</ApplyToSiblingsType>
    <ApplyToTree>true</ApplyToTree>
    <CustomKey>sample string 8</CustomKey>
    <CustomValue>sample string 9</CustomValue>
    <CyanId>7</CyanId>
    <Description>sample string 5</Description>
    <DeviceGroupId>aaf1dd05-fd45-41b8-90f7-e3d7dfa4cbb8</DeviceGroupId>
    <DeviceId>56736140-9949-4850-ab86-c0a5a1d5f431</DeviceId>
    <IgnoreNodeIdsInRouting xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:string>sample string 1</d3p1:string>
      <d3p1:string>sample string 2</d3p1:string>
      <d3p1:string>sample string 3</d3p1:string>
    </IgnoreNodeIdsInRouting>
    <Name>sample string 4</Name>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>21a6842f-c7bf-4eea-882c-3fce1761957b</NodeId>
    <NodeRouteId>43352336-4291-4539-801a-b89e7eca8d7e</NodeRouteId>
    <TenantId>8759187a-a25e-4c0f-b43e-bb9df82aef2f</TenantId>
    <UserGroupId>b6d1db72-1117-4955-ba92-1b0a1ce78345</UserGroupId>
    <UserId>e0984617-2585-4f23-9baf-6d5bfb27a93b</UserId>
  </NodeRouteRepresentation>
</ArrayOfNodeRouteRepresentation>